libdata-dump-streamer-perl (2.42-1) unstable; urgency=medium

  * Import upstream version 2.42.
  * Refresh spelling.patch (offset).

 -- gregor herrmann <gregoa@debian.org>  Sat, 25 Feb 2023 02:20:29 +0100

libdata-dump-streamer-perl (2.41-1) unstable; urgency=medium

  * Import upstream version 2.41.
  * Update test dependencies.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Feb 2023 18:01:48 +0100

libdata-dump-streamer-perl (2.40-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/libdata-dump-streamer-perl.lintian-overrides on line 2.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 14:05:44 +0000

libdata-dump-streamer-perl (2.40-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 12 Jun 2022 22:57:47 +0100

libdata-dump-streamer-perl (2.40-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!
  * Import upstream version 2.40.
  * Update years of packaging copyright.
  * Add a spelling fix patch.
  * Set bindnow linker flag in debian/rules.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 Sep 2016 18:19:59 +0200

libdata-dump-streamer-perl (2.39-2) unstable; urgency=medium

  * Upgrade libpadwalker-perl to a hard dependency. (Closes: #809110)

 -- Niko Tyni <ntyni@debian.org>  Sun, 27 Dec 2015 17:55:55 +0200

libdata-dump-streamer-perl (2.39-1) unstable; urgency=medium

  * Import upstream version 2.39:
    Fixes "FTBFS with perl 5.22" (Closes: #787912)

 -- gregor herrmann <gregoa@debian.org>  Thu, 24 Dec 2015 15:02:02 +0100

libdata-dump-streamer-perl (2.38-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata.
  * Declare compliance with Debian Policy 3.9.6.
  * Add build dependency on libmodule-build-perl.
  * Mark package as autopkgtest-able.
  * Update path in lintian override.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Jun 2015 16:30:47 +0200

libdata-dump-streamer-perl (2.38-1) unstable; urgency=medium

  * Strip trailing slash from metacpan URLs.

  * New upstream release.
    Fixes "FTBFS with perl 5.20"
    (Closes: #750649)

 -- gregor herrmann <gregoa@debian.org>  Fri, 13 Jun 2014 14:35:40 +0200

libdata-dump-streamer-perl (2.37-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Feb 2014 22:01:15 +0100

libdata-dump-streamer-perl (2.36-1) unstable; urgency=low

  * Imported Upstream version 2.36
  * debian/copyright: Update debian years
  * debian/patches/perl-5.18.patch: Removed, applied upstream
  * debian/patches/fix-pod-spelling.patch: Removed, applied upstream

 -- Angel Abad <angel@debian.org>  Wed, 14 Aug 2013 23:59:37 +0200

libdata-dump-streamer-perl (2.34-2) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Add patch from CPAN RT to fix regex dumping in newer perl.
    (Closes: #709665)
  * Add lintian override for hardening-no-fortify-functions.
  * Set Standards-Version to 3.9.4 (no changes).
  * Use debhelper 9.20120312 to get all hardening flags.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 25 May 2013 01:57:35 +0200

libdata-dump-streamer-perl (2.34-1) unstable; urgency=low

  * Imported Upstream version 2.34

 -- Angel Abad <angel@debian.org>  Wed, 06 Jun 2012 17:27:55 +0200

libdata-dump-streamer-perl (2.33-1) unstable; urgency=low

  [ Gunnar Wolf ]
  * Removing myself as an uploader from all packages which have
    other human uploaders (final batch)

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ Angel Abad ]
  * Email change: Angel Abad -> angel@debian.org
  * Imported Upstream version 2.33
  * debian/copyright:
    - Update format to copyright-format 1.0
    - Update debian years
  * debian/control: Build-Depends on libjson-xs-perl
  * Bump Debhelper compat level to 9
  * Bump Standards-Version to 3.9.3
  * debian/patches/fix-pod-spelling.patch: Refresh patch

 -- Angel Abad <angel@debian.org>  Wed, 04 Apr 2012 20:09:44 +0200

libdata-dump-streamer-perl (2.31-1) unstable; urgency=low

  [ Angel Abad ]
  * New upstream release

  [ gregor herrmann ]
  * Refresh patch (applied with offsets).

 -- Angel Abad <angelabad@gmail.com>  Wed, 02 Feb 2011 13:40:54 +0100

libdata-dump-streamer-perl (2.27-1) unstable; urgency=low

  * New upstream release

 -- Angel Abad <angelabad@gmail.com>  Tue, 01 Feb 2011 22:05:00 +0100

libdata-dump-streamer-perl (2.26-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Add copyright information about
    lib/Data/Dump/ppport.h

 -- Angel Abad <angelabad@gmail.com>  Tue, 01 Feb 2011 14:47:43 +0100

libdata-dump-streamer-perl (2.23-1) unstable; urgency=low

  [ Russ Allbery ]
  * Remove myself from Uploaders.

  [ Angel Abad ]
  * New upstream release
  * debian/control: Add libextutils-depends-perl to B-D
  * debian/copyright: Update license stanzas

  [ gregor herrmann ]
  * Refresh fix-pod-spelling.patch (applied with an offset).

 -- Angel Abad <angelabad@gmail.com>  Thu, 20 Jan 2011 17:46:50 +0100

libdata-dump-streamer-perl (2.22-1) unstable; urgency=low

  * New upstream release
  * Add myself to uploaders
  * debian/control:
    - Remove perl (>= 5.10) | from Build-Depends
    - Remove perl (>= 5.10) | from Depends
  * Standards-Version: 3.9.1

 -- Angel Abad <angelabad@gmail.com>  Sun, 08 Aug 2010 14:01:57 +0200

libdata-dump-streamer-perl (2.21-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 Jun 2010 00:01:26 +0200

libdata-dump-streamer-perl (2.18-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Jun 2010 01:51:11 +0200

libdata-dump-streamer-perl (2.17-1) unstable; urgency=low

  * New upstream release.
  * Add /me to Uploaders.
  * Now needs Module::Build.
  * Refresh patch.
  * Add additional copyright holders.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Jun 2010 16:14:21 +0200

libdata-dump-streamer-perl (2.13-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Standards-Version 3.8.4 (drop perl version dep)
  * Add myself to Uploaders and Copyright
  * Removed Alexis Sukrieh from Uploaders (Closes: #536130)
  * Rewrite control description
  * Use new short debhelper rules format
  * Update copyright to new DEP5 format
  * Add a patch to fix POD spelling errors

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ryan Niebur ]
  * Update ryan52's email address

  [ gregor herrmann ]
  * debian/control: remove unversioned (build) dependency on perl-
    modules.
  * debian/control: remove libmime-tools-perl,
    expand libcompress-zlib-perl to "perl (>= 5.10) | libio-compress-perl |
    libcompress-zlib-perl" and add it to Depends.

 -- Jonathan Yu <jawnsy@cpan.org>  Tue, 06 Apr 2010 23:51:44 -0400

libdata-dump-streamer-perl (2.09-1) unstable; urgency=low

  * Add myself to Uploaders
  * New upstream version
  * machine readable copyright format
  * debhelper 7

 -- Ryan Niebur <ryanryan52@gmail.com>  Fri, 24 Apr 2009 21:45:07 -0700

libdata-dump-streamer-perl (2.08-40-3) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Gunnar Wolf ]
  * Updated build-dependency from obsolete libmime-perl to libmime-
    tools-perl
  * Standards-version 3.7.3 -> 3.8.1.0 (No changes needed)

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 13 Apr 2009 16:23:22 -0500

libdata-dump-streamer-perl (2.08-40-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/rules: delete /usr/share/perl5 only if it exists.

  [ Niko Tyni ]
  * Fix intertarget dependencies for parallel builds.
  * Unset 'username' when running Makefile.PL because there's a special case
    inside for the upstream author.
  * Update and reformat debian/copyright.
  * Don't install the uninformative README file.
  * Add myself to Uploaders.
  * Remove perl-modules from the build-dependencies, as it's Build-Essential.
  * Add libalgorithm-diff-perl to build-dependencies for better test coverage.

 -- Niko Tyni <ntyni@debian.org>  Fri, 15 Feb 2008 22:23:28 +0200

libdata-dump-streamer-perl (2.08-40-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/watch: use dist-based URL.

  [ Martín Ferrari ]
  * New upstream release.
  * debian/control:
  - Bumped Standards-Version (no changes needed).
  - Added libpadwalker-perl as Recommends.

 -- Russ Allbery <rra@debian.org>  Wed, 26 Dec 2007 12:54:58 -0800

libdata-dump-streamer-perl (2.05-36-2) unstable; urgency=low

  * Removed PODisms from the description (Closes: #443309)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 20 Sep 2007 08:45:10 -0500

libdata-dump-streamer-perl (2.05-36-1) unstable; urgency=low

  * New upstream release
    + Fixes http://rt.cpan.org/Ticket/Display.html?id=28053 where undef and ''
      are confused inside of repeat value folding logic.
  * Fixed debian/watch to stop capturing file extension
  * Improved debian/copyright -- added upstream location and license
  * Removed old dh-make-perl cruft
    + Drop unused dh_link
    + Move test suite from install to build target
    + Move dh_clean $stamp_files before realclean
  * Added myself to Uploaders
  * Added libpadwalker-perl, libcompress-zlib-perl and libmime-perl to enable
    additional tests
  * Dropped unused dh_makeshlibs, commendet out dh_installexamples
  * Added NODDS to $(PERL) Makefile.PL to avoid uncertainity

 -- Damyan Ivanov <dmn@debian.org>  Sat, 15 Sep 2007 15:04:37 +0300

libdata-dump-streamer-perl (2.03-30-1) unstable; urgency=low

  * Initial Release (closes: #438484).

 -- Alexis Sukrieh <sukria@debian.org>  Fri, 17 Aug 2007 17:27:37 +0200
